# Documentation

Menu

## SQLInterface
in

SQLInterface.php : 22

Interface for database-specific syntax subclasses

### Table of Contents

columnList() : string
  Get information about the columns in the specified table
dbList() : string
  Returns sql to list other databases
explain() : string
  Modify the query to get the query plan
fkList() : string
  Get the list of foreign keys for the current table
functionList() : string|null
  Return sql to list functions
indexList() : string
  Get the list of indexes for the current table
limit() : string
  Get database specific sql for limit clause
procedureList() : string|null
  Return sql to list stored procedures
random() : string
  Get the sql for random ordering
sequenceList() : string|null
  Return sql to list sequences
systemTableList() : string|array<string|int, mixed>
  Returns sql to list system tables
tableList() : string
  Returns sql to list tables
triggerList() : string|null
  Returns sql to list triggers
typeList() : string|array<string|int, mixed>
  Return sql to list database field types
viewList() : string
  Returns sql to list views

### Methods

#### columnList()

SQLInterface.php : 88

Get information about the columns in the specified table

`public columnList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### dbList()

SQLInterface.php : 42

Returns sql to list other databases

`public dbList() : string`

##### Return values

string —

#### explain()

SQLInterface.php : 32

Modify the query to get the query plan

`public explain(string $sql) : string`

##### Parameters

$sql : string

##### Return values

string —

#### fkList()

SQLInterface.php : 94

Get the list of foreign keys for the current table

`public fkList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### functionList()

SQLInterface.php : 67

Return sql to list functions

`public functionList() : string|null`

##### Return values

string|null —

#### indexList()

SQLInterface.php : 99

Get the list of indexes for the current table

`public indexList(string $table) : string`

##### Parameters

$table : string

##### Return values

string —

#### limit()

SQLInterface.php : 27

Get database specific sql for limit clause

`public limit(string $sql, int $limit[, int|null $offset = NULL ]) : string`

##### Parameters

$sql : string
$limit : int
$offset : int|null = NULL

##### Return values

string —

#### procedureList()

SQLInterface.php : 72

Return sql to list stored procedures

`public procedureList() : string|null`

##### Return values

string|null —

#### random()

SQLInterface.php : 37

Get the sql for random ordering

`public random() : string`

##### Return values

string —

#### sequenceList()

SQLInterface.php : 77

Return sql to list sequences

`public sequenceList() : string|null`

##### Return values

string|null —

#### systemTableList()

SQLInterface.php : 52

Returns sql to list system tables

`public systemTableList() : string|array<string|int, mixed>`

##### Return values

string|array<string|int, mixed> —

#### tableList()

SQLInterface.php : 47

Returns sql to list tables

`public tableList() : string`

##### Return values

string —

#### triggerList()

SQLInterface.php : 62

Returns sql to list triggers

`public triggerList() : string|null`

##### Return values

string|null —

#### typeList()

SQLInterface.php : 82

Return sql to list database field types

`public typeList() : string|array<string|int, mixed>`

##### Return values

string|array<string|int, mixed> —

#### viewList()

SQLInterface.php : 57

Returns sql to list views

`public viewList() : string`

##### Return values

string —

## Search results